%?mingw_package_header

Name:           mingw-libwebp
Version:        0.4.2
Release:        2%{?dist}
Summary:        MinGW compilation of Library and tools for the WebP format

License:        BSD
Group:          Development/Libraries
URL:            http://webmproject.org
Source0:        http://downloads.webmproject.org/releases/webp/libwebp-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-libpng
BuildRequires:  mingw32-libjpeg

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-libpng
BuildRequires:  mingw64-libjpeg


%description

WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.

# Win32
%package -n mingw32-libwebp
Summary:        MinGW compilation of Library and tools for the WebP format


%description -n mingw32-libwebp
WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.


# Win64
%package -n mingw64-libwebp
Summary:        MinGW compilation of Library and tools for the WebP format

%description -n mingw64-libwebp
WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.

%?mingw_debug_package


%prep
%setup -q -n libwebp-%{version}


%build
%mingw_configure \
        --enable-shared --disable-static \

%mingw_make %{?_smp_mflags}


%install
%mingw_make DESTDIR=$RPM_BUILD_ROOT install

#drop unneeded files
rm -fr $RPM_BUILD_ROOT%{mingw32_libdir}/libwebp.la
rm -fr $RPM_BUILD_ROOT%{mingw64_libdir}/libwebp.la
rm -fr $RPM_BUILD_ROOT%{mingw32_mandir}
rm -fr $RPM_BUILD_ROOT%{mingw64_mandir}

# Win32
%files -n mingw32-libwebp
%doc PATENTS COPYING

%{mingw32_bindir}/cwebp.exe
%{mingw32_bindir}/dwebp.exe
%{mingw32_bindir}/libwebp-5.dll
%{mingw32_includedir}/webp
%{mingw32_libdir}/pkgconfig/libwebp.pc
%{mingw32_libdir}/libwebp.dll.a

# Win64
%files -n mingw64-libwebp
%doc PATENTS COPYING

%{mingw64_bindir}/cwebp.exe
%{mingw64_bindir}/dwebp.exe
%{mingw64_bindir}/libwebp-5.dll
%{mingw64_includedir}/webp
%{mingw64_libdir}/pkgconfig/libwebp.pc
%{mingw64_libdir}/libwebp.dll.a

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Nov 15 2014 Kalev Lember <kalevlember@gmail.com> - 0.4.2-1
- Update to 0.4.2

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Kalev Lember <kalevlember@gmail.com> - 0.4.0-1
- Update to 0.4.0

* Thu Mar 27 2014 Yaakov Selkowitz <yselkowitz@users.sourceforge.net> - 0.2.1-4
- Fix mingw64 BRs

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 25 2013 Paweł Forysiuk <tuxator@o2.pl> - 0.2.1-2
- Fix Buildrequires
- Add COPYING files

* Sun Dec 30 2012 Paweł Forysiuk <tuxator@o2.pl> - 0.2.1-1
- Initial packaging

